com.rscja.deviceapi

## Class UhfBase

- java.lang.Object
- - com.rscja.deviceapi.UhfBase

- Direct Known Subclasses:
    BleDevice, EmptyUhfBle, RFIDWithUHFA4NetWork_qcom, RFIDWithUHFA4RS232_qcom, RFIDWithUHFA8NetWork_qcom, RFIDWithUHFA8RS232_qcom, RFIDWithUHFUART, RFIDWithUHFUART_mtk, RFIDWithUHFUART_qcom, RFIDWithUHFUrxNetwork, RFIDWithUHFUrxNetwork_qcom, RFIDWithUHFUrxUart, RFIDWithUHFUrxUart_qcom, RFIDWithUHFUrxUart2_qcom, RFIDWithUHFUrxUsbToUart, RFIDWithUHFUrxUsbToUart_qcom, RFIDWithUHFUSB, RFIDWithUHFUSB_qcom

      public abstract class UhfBase
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `UhfBase.ErrorCode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UhfBase()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `factoryReset()` 恢复出厂设置(Reset uhf parameters)
    `boolean` | `free()`
    `abstract ConnectionStatus` | `getConnectStatus()`
    `int` | `getFastInventoryMode()`
    `abstract boolean` | `init(android.content.Context context)`
    `abstract boolean` | `isInventorying()`
    `java.lang.String` | `readTcpServiceState()`
    `boolean` | `setEPCAndTIDUserMode(InventoryModeEntity entity)` 设置循环盘点同时读取 EPC、TID、USER 模式 Setup auto scan to acquire EPC, TID, User mode
    `boolean` | `setFastInventoryMode(boolean enable)`
    `void` | `setOnLowBatteryListener(android.content.Context context, LowBatteryEntity entity, OnLowBatteryListener onLowBatteryListener)`
    `abstract boolean` | `stopInventory()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UhfBase

          public UhfBase()

  - ### Method Detail

    - #### init

          public abstract boolean init(android.content.Context context)

    - #### free

          public boolean free()

    - #### getConnectStatus

          public abstract ConnectionStatus getConnectStatus()

    - #### isInventorying

          public abstract boolean isInventorying()

    - #### stopInventory

          public abstract boolean stopInventory()

    - #### setFastInventoryMode

          public boolean setFastInventoryMode(boolean enable)

    - #### getFastInventoryMode

          public int getFastInventoryMode()

    - #### setOnLowBatteryListener

          public void setOnLowBatteryListener(android.content.Context context,
                                              LowBatteryEntity entity,
                                              OnLowBatteryListener onLowBatteryListener)
                                       throws LowBatteryException

      Throws:
        `LowBatteryException`

    - #### readTcpServiceState

          public java.lang.String readTcpServiceState()

    - #### factoryReset

          public boolean factoryReset()

      恢复出厂设置(Reset uhf parameters)

    - #### setEPCAndTIDUserMode

          public boolean setEPCAndTIDUserMode(InventoryModeEntity entity)

      设置循环盘点同时读取 EPC、TID、USER 模式
      Setup auto scan to acquire EPC, TID, User mode
      Parameters:
        `entity` - inventory mode， 0：EPC,1:EPC+TID, 2：EPC+TID+USER, 10:EPC+RESERVED
      Returns:
        true:成功(success) false:失败(failure)